precision mediump float;

varying vec2 vTextureCoord;

uniform sampler2D uSampler;

void main(){

  vec2 newTexCoord = vTextureCoord;
  if(newTexCoord.x < 0.33)
  {
    newTexCoord.x = (newTexCoord.x + 0.33);
  }
  else if(newTexCoord.x >= 0.33 && newTexCoord.x < 0.66)
  {
    newTexCoord.x = (newTexCoord.x );
  }
  else
  {
    newTexCoord.x = (newTexCoord.x - 0.33);
  }

  vec3 centralColor = texture2D(uSampler, newTexCoord).rgb;
  gl_FragColor = vec4(centralColor.rgb,1.0);
}